Page MenuHomePhabricator

Add the "actor" table to the database layout documentation
Closed, ResolvedPublic

Description

Basically, update https://www.mediawiki.org/wiki/Manual:Database_layout once the actor table is officially added. Which could be now, already.

Related Objects

StatusSubtypeAssignedTask
OpenNone
OpenNone
ResolvedNone
Stalleddaniel
OpenNone
OpenNone
ResolvedMarostegui
ResolvedBstorm
Resolveddaniel
Resolveddaniel
ResolvedMarostegui
ResolvedAnomie
ResolvedAnomie
ResolvedNone
DuplicateNone
StalledNone
OpenNone
ResolvedMarostegui
ResolvedBstorm
DeclinedNone
ResolvedAnomie
ResolvedAnomie
OpenNone
ResolvedAnomie
OpenNone
ResolvedJdforrester-WMF
ResolvedMarostegui

Event Timeline

Huji created this task.Feb 24 2018, 7:17 PM
Anomie removed Anomie as the assignee of this task.Feb 26 2018, 2:00 PM
Anomie triaged this task as Low priority.
Anomie edited projects, added Documentation, good first task; removed Epic.

Please don't randomly assign things to people without discussing it first.

Anyone can edit documentation, feel free to do so.

Huji added a comment.Feb 26 2018, 5:35 PM

Oh sorry, I used the "create subtask" function and it just copied the assignment of the parent task, and I missed it.

Huji added a comment.Mar 2 2018, 12:13 AM

Sorting the table in https://www.mediawiki.org/wiki/Manual:Database_layout alphabetically. I know it is annoying, but it has to be done.

Jdforrester-WMF added a comment.EditedMar 2 2018, 12:20 AM

Bad wikitext is bad. This is exceptionally bad wikitext. Someone who thinks that the current unorganised list adds any value to anyone is welcome to try fixing it.

Huji added a comment.Mar 2 2018, 1:44 PM

Oh tell me about it! I have dealt with that exact table once in the past (here then here) and can tell you how aweful it is. I think the right solution is to use a Lua module instead.

Ciencia_Al_Poder closed this task as Resolved.Mar 2 2018, 3:57 PM
Ciencia_Al_Poder assigned this task to Jdforrester-WMF.

I've done the sorting, and fixed a typo

jcrespo added a subscriber: jcrespo.Jun 3 2019, 2:18 PM

Some people mentioned at T224862 that https://www.mediawiki.org/wiki/Manual:Image_table is outdated (maybe referencing what is canonical may be needed?). Reviewing those subpages should be filed separately or reopen here?

Aklapper removed a subscriber: Anomie.Oct 16 2020, 5:43 PM
Nux added a subscriber: Nux.Dec 6 2020, 11:18 AM

So assuming you don't like the structure of this: https://www.mediawiki.org/w/index.php?title=Manual:Database_layout/diagram/1.34.0&action=edit

Where is the current database diagram? It's just hard to build queries in Quarry when the revision table doesn't even mention reference to comment table.

The point of the diagram is to have everything in one place and not having to look through documentation of each table separately.

In T188183#5230263, jcrespo wrote:

Some people mentioned at T224862 that https://www.mediawiki.org/wiki/Manual:Image_table is outdated (maybe referencing what is canonical may be needed?).

In T188183#5244326, Zache wrote:

If you are aware of specific things that need updating, please mention these things in a dedicated ticket tagged with MediaWiki-Documentation - thanks a lot! :)

Zache added a comment.Tue, Jan 19, 3:02 PM

Sure, in July 2019 when i wrote the comments the rev_actor fields werent documented

If that's still the case, please file a separate, dedicated ticket. Thanks.